
public class Class291 {

   int anInt3414;
   int anInt3415;
   int[] anIntArray3416;
   int[] anIntArray3417;


   Class291() {
      Class225_Sub20.method13646(16);
      this.anInt3414 = Class225_Sub20.method13645() != 0?Class225_Sub20.method13646(4) + 1:1;
      if(Class225_Sub20.method13645() != 0) {
         Class225_Sub20.method13646(8);
      }

      Class225_Sub20.method13646(2);
      if(this.anInt3414 > 1) {
         this.anInt3415 = Class225_Sub20.method13646(4);
      }

      this.anIntArray3416 = new int[this.anInt3414];
      this.anIntArray3417 = new int[this.anInt3414];

      for(int var1 = 0; var1 < this.anInt3414; ++var1) {
         Class225_Sub20.method13646(8);
         this.anIntArray3416[var1] = Class225_Sub20.method13646(8);
         this.anIntArray3417[var1] = Class225_Sub20.method13646(8);
      }

   }
}
